%global prerelease rc1
%global commit 2128c0efee23d0d1d73b63771ad617b00b69c619
%global shortcommit %(c=%{commit}; echo ${c:0:7})


Name:           modoboa
Version:        1.2.0
Release:        0%{?prerelease:.%{prerelease}}%{?dist}
Summary:        Mail hosting and management platform
Group:          Applications/Communications
License:        MIT
URL:            http://modoboa.org
Source0:        https://github.com/tonioo/%{name}/archive/%{commit}/%{name}-%{commit}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-sphinx
Requires:       python-django
Requires:       python-django-reversion
Requires:       python-django-south
Requires:       python-django-database-url
Requires:       python-factory-boy
Requires:       python-rfc6266
Requires:       python-sievelib
Requires:       python-chardet
Requires:       python-crypto
Requires:       python-lxml
Requires:       rrdtool-python
Requires:       MySQL-python

%description
Modoboa is a mail hosting and management platform including a modern and
simplified Web User Interface. It provides useful components such as an
administration panel or a webmail.

Modoboa integrates with well known software such as Postfix or Dovecot.
A SQL database (MySQL, PostgreSQL or SQLite) is used as a central point of
communication between all components.
Modoboa is developed with modularity in mind, expanding it is really easy.

%package doc
Group: Documentation
Summary: %{name} docs

%description doc
Documentation for Modoboa mail hosting and management platform.

%prep
%setup -qn %{name}-%{commit}

%build
%{__python2} setup.py build
pushd doc
make html text man
find . -name .buildinfo -print0 | xargs -0 rm -f
sed -i 's/\r$//' .build/html/_static/jquery.js
popd

%install
%{__python2} setup.py install --skip-build --root %{buildroot}
install -D -m 644 doc/.build/man/modoboa.1 %{buildroot}%{_mandir}/man1/%{name}.1
# Remove shebang from libraries
libs=$(find %{buildroot}%{python2_sitelib}/%{name} -name '*.py')
for lib in $libs; do
 sed '1{\@^#!/usr/bin/env python@d}' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done

%files
%doc COPYING README.rst
%{_bindir}/%{name}-admin.py
%{python2_sitelib}/%{name}
%{python2_sitelib}/%{name}-*.egg-info

%files doc
%doc COPYING README.rst
%doc doc/.build/html
%doc doc/.build/text
%{_mandir}/man1/%{name}.1*

%changelog
* Thu Dec 11 2014 Juan Orti <jorti@fedoraproject.org> - 1.2.0-0.rc1
- Update to 1.2.0-rc1
- Change Source0 to GitHub
- Remove shebang from libraries

* Tue Dec 02 2014 Juan Orti <jorti@fedoraproject.org> - 1.1.7-1
- Update to 1.1.7
- Add doc subpackage

* Fri May 23 2014 Didier Fabert <didier.fabert@gmail.com> 1.1.2-1
- Initial package
